summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2020-11-20 14:51:44 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:18 +0100
commit62b0a3cf50136e91c8b1f52255c7613a770a2fa6 (patch)
tree5cd4028e178f85a7a48c617e735bd06073483e8e /games
parent5f48620f440a8e370443673b321f62a1c55eaf89 (diff)
downloadslackbuilds-62b0a3cf50136e91c8b1f52255c7613a770a2fa6.tar.gz
games/img2xterm: Added (display images on the terminal)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/img2xterm/README19
-rw-r--r--games/img2xterm/img2xterm.SlackBuild87
-rw-r--r--games/img2xterm/img2xterm.info10
-rw-r--r--games/img2xterm/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/games/img2xterm/README b/games/img2xterm/README
new file mode 100644
index 0000000000..04e55784cb
--- /dev/null
+++ b/games/img2xterm/README
@@ -0,0 +1,19 @@
+img2xterm (display images on the terminal)
+
+img2xterm is a program that can display bitmap images on 256-colour
+terminals by converting them into Unicode block characters and xterm
+compatible control sequences. It can also convert images to cowfiles,
+for use with cowsay(6).
+
+No checking is done on the terminal size. Each character cell in the
+terminal gets a 2x2 block of pixels, so if your terminal is 80x25, the
+largest image it can display is 160x50 pixels.
+
+This is known to work with xterm, konsole, and xfce4-terminal
+from Slackware 14.2; and rxvt-unicode (urxvt) and st from
+SlackBuilds.org. Plain rxvt doesn't seem to support 256-color mode,
+so it won't work there. Sadly, it doesn't work in the Linux console
+either.
+
+The package includes the GIMP palette mentioned in the README.md, and
+an RMS cowfile. Try: cowsay -f rmshd "Hello"
diff --git a/games/img2xterm/img2xterm.SlackBuild b/games/img2xterm/img2xterm.SlackBuild
new file mode 100644
index 0000000000..21345282bd
--- /dev/null
+++ b/games/img2xterm/img2xterm.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for img2xterm
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=img2xterm
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Hardcoded stuffs. The LN line turns the absolute symlinks into
+# relative, so we don't end up with links to $PKG.
+sed -i \
+ -e 's,share/man,man,g' \
+ -e 's,/bin\>,/games,g' \
+ -e "s,-O2,$SLKCFLAGS," \
+ -e '/LN/s,\$(PREFIX)[^ ]*/,,' \
+ Makefile
+
+make
+make install PREFIX=$PKG/usr
+
+# Include the stuff from extra/. To do this, we have to find out the
+# version of gimp to install the palette file for.
+case "${GIMPVER:-auto}" in
+ auto) GIMPVER=$(/bin/ls -d /usr/share/gimp/[0-9]*/ | sort -V | cut -d/ -f5) ;;
+ *) GIMPVER=$(echo $GIMPVER | cut -d. -f1,2) ;;
+esac
+
+# We get a gimp palette, and an RMS cowfile... which looks like poor
+# RMS is covered in blood splatters, due to dithering.
+make -C extra
+mkdir -p $PKG/usr/share/gimp/$GIMPVER/palettes $PKG/usr/share/games/cows
+install -m0644 extra/*.gpl $PKG/usr/share/gimp/$GIMPVER/palettes
+install -m0644 extra/cows/*.cow $PKG/usr/share/games/cows
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/img2xterm/img2xterm.info b/games/img2xterm/img2xterm.info
new file mode 100644
index 0000000000..be681cf890
--- /dev/null
+++ b/games/img2xterm/img2xterm.info
@@ -0,0 +1,10 @@
+PRGNAM="img2xterm"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/rossy/img2xterm"
+DOWNLOAD="https://github.com/rossy/img2xterm/archive/v1.0.0/img2xterm-1.0.0.tar.gz"
+MD5SUM="a17d463d9513ab5420bb7891af615496"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/img2xterm/slack-desc b/games/img2xterm/slack-desc
new file mode 100644
index 0000000000..622f4f0879
--- /dev/null
+++ b/games/img2xterm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+img2xterm: img2xterm (display images on the terminal)
+img2xterm:
+img2xterm: img2xterm is a program that can display bitmap images on 256-colour
+img2xterm: terminals by converting them into Unicode block characters and xterm
+img2xterm: compatible control sequences. It can also convert images to cowfiles,
+img2xterm: for use with cowsay(6).
+img2xterm:
+img2xterm:
+img2xterm:
+img2xterm:
+img2xterm: